Bug 1993286 - Minor OpenShift upgrades blocked when olm.maxOpenShiftVersion = current Y-stream+1 and current Z-stream > 0
Summary: Minor OpenShift upgrades blocked when olm.maxOpenShiftVersion = current Y-str...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.9.0
Assignee: Nick Hale
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks: 1994110
TreeView+ depends on / blocked
 
Reported: 2021-08-12 16:59 UTC by Nick Hale
Modified: 2021-10-18 17:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Cluster Z-stream version used in operator compatibility comparison. Consequence: When the current Z-stream release of a cluster is > 0, operators with an olm.maxOpenShiftVersion property = current-Y + 1 cause OpenShift minor version upgrades to be blocked. Fix: Ignore cluster Z-stream version when calculating operator compatibility. Result: Cluster upgrades do not get blocked by Z-stream incompatibilities.
Clone Of:
Environment:
Last Closed: 2021-10-18 17:46:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift operator-framework-olm pull 166 0 None None None 2021-08-16 17:54:29 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:46:34 UTC

Comment 9 errata-xmlrpc 2021-10-18 17:46:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.